#!/usr/bin/perl

$filename=$ARGV[0];
#print "Filename: $filename \n";

open READ, $filename;
$/=undef;
$string=<READ>;
close READ;

$filename_new = $filename;
$filename_new =~ s/he/hebrew-english_/;
$filename_new =~ s/htm/php/;
#print "Filename: $filename | new filename: $filename_new\n";

#Get $DOCROOT
$string =~ s/<\?php include\("include\/headers.inc"\); \?>/<?php include\("docroot.inc"\); ?>\n<?php include\("include\/headers.inc"\); ?>/;

#Remove the http:// junk in the include calls
$string =~ s/include\("http:\/\/www.in-hebrew.co.il\//include\("/g;

# Add $DOCROOT to include calls
$string =~ s/include\("include/include\("${DOCROOT}include/;
$string =~ s/include\("include/include\("\${DOCROOT}include/g;

#Remove extra spaces
$string =~ s/src=" /src="/g;
$string =~ s/align = /align=/g;
$string =~ s/plusone >/plusone >/g;

#Put in leading slashes
$string =~ s/src="images/src="\/images/g;
$string =~ s/src="audio/src="\/audio/g;
$string =~ s/href="style.css"/href="\/in-hebrew.css"/g;
$string =~ s/'imgpopup.html/'\/imgpopup.html/g;

#Home links should go to /
$string =~ s/href='index.html'/href="\/"/g;

#Fix back and next URLs
#$string =~ s/<a href=he(.*?).htm>/<a href="hebrew-english_$1.php">/g;
$string =~ s/<a href=he([0-9]*?).htm>/<a href="hebrew-english_$1.php">/g;

#Fix URL for Hebrew-Only link
$string =~ s/<a href="h([0-9]*?).htm">/<a href="..\/h$1.htm">/g;

#Fix sharing links
$string =~ s/in-hebrew.co.il\/he(.*?).htm/in-hebrew.co.il\/english\/hebrew-english_$1.php/g;

#Fix bad &nbsp stuff
$string =~ s/&nbsp&nbsp/&nbsp; /g;
$string =~ s/&nbsp /&nbsp; /g;

#Fix instances of /> 
$string =~ s/ \/>/>/g;

#Remove border=0 for img.  That attribute is now obsolete; and I put it in the CSS
$string =~ s/border=0 //g;
$string =~ s/border=0//g;
$string =~ s/ border =0>/>/g;
$string =~ s/  border =0>/>/g;
$string =~ s/ border='0'>/>/g;
$string =~ s/ border="0">/>/g;

#Clean up embed dimensions
$string =~ s/ 30px/30/;
$string =~ s/200px/200/;

#Add some alts
$string =~ s/facebook.png\" >/facebook.png\" alt="Facebook">/g;
$string =~ s/twitter.png\" >/twitter.png\" alt="Twitter">/g;
$string =~ s/linkedin.png\">/linkedin.png\" alt="LinkedIn">/g;
$string =~ s/stumbleupon.png\" >/stumbleupon.png\" alt="StumbleUpon">/g;

##Switch table attributes to CSS
#$string =~ s/border="0" cellspacing="2" cellpadding="2" width="100%"/style="border:0px; width: 100%; padding:4px;"/g;

#Switch sharing chicklets table to CSS
$string =~ s/<br><br>\n\n<table border="0" cellspacing="2" cellpadding="2" width="100%" id='main'>\n<tr>\n<td>\n<br><font size="5"> /\n<div style="text-align:center;">\n\n<p>\n\n/;
$string =~ s/Please Click the Icons <br>to Like and Share this Page.<br> Thank You! <\/font><br><br>/<h2>Please Click the Icons<br>\nto Like and Share this Page.<br>\nThank You!<\/h2>\n\n<p>\n/;
$string =~ s/<br>\n<\/td>\n<\/tr>\n<tr>\n<td align="center">\n<g:plusone ><\/g:plusone>\n<\/td>\n<\/tr>\n<\/table>\n<br>\n<iframe/\n\n<p>\n\n<g:plusone><\/g:plusone>\n\n<p>\n\n<iframe/;
$string =~ s/allowTransparency="true">\n<br>\n<\/iframe>/allowTransparency="true"><\/iframe>\n\n<\/div> <!-- center -->/;

#Update URL of Facebook Like box
$string =~ s/<iframe src="http:\/\/www.facebook/<iframe src="https:\/\/www.facebook/g;

#Add colon at the end of a call to action
$string =~ s/pronounce the phrase/pronounce the phrase:/;

#Fix an unclosed tag
$string =~ s/phrase:/phrase:\n<\/font>/;

#Fix a <br> mistakenly inside a <iframe></iframe>
$string =~ s/>\n<br>\n<\/iframe>/><\/iframe>\n<br>/g;

#Remove the Google +1 button for now; anyway the .js is not getting called above.
$string =~ s/<g:plusone><\/g:plusone>/<!--<g:plusone ><\/g:plusone>-->/g;

#Add dimensions to nav images
$string =~ s/back.png"/back.png" class="nav_img"/g;
$string =~ s/topics.png"/topics.png" class="nav_img"/g;
$string =~ s/next.png"/next.png" class="nav_img"/g;
$string =~ s/print.png"/print.png" class="nav_img"/g;
$string =~ s/hebrew-only.png"/hebrew-only.png" class="nav_img"/g;
$string =~ s/facebook.png"/facebook.png" class="social_img"/g;
$string =~ s/twitter.png"/twitter.png" class="social_img"/g;
$string =~ s/linkedin.png"/linkedin.png" class="social_img"/g;
$string =~ s/stumbleupon.png"/stumbleupon.png" class="social_img"/g;

open(NEWFILE,">new/$filename_new") || die $!;
print NEWFILE $string;
close(NEWFILE);
exit;
